Reports
Create, update and run saved reports.
List saved reports
GET
/reportsScope
reports:runRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/reports" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a report
POST
/reportsScope
reports:createWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
description | string |
source | string |
saql | string |
raw | boolean |
view | "table" | "chart" | "both" |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/reports" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…","description":"…","source":"…","saql":"…","raw":false,"view":"table"}'Get / run a saved report
GET
/reports/{id}Scope
reports:runRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/reports/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a report
PATCH
/reports/{id}Scope
reports:createWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/reports/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a report
DELETE
/reports/{id}Scope
reports:createWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/reports/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"